local M = {}

M.provide_thrust = true
M.fuellevel = 100

local E_pressed = false
local thrustLevel = 2750

local function getEngineElectric()
	if M.provide_thrust then return 1 else return 0 end
end


local function update()
	st10electrics.set("engine",getEngineElectric())

	if M.fuellevel < 1 then M.provide_thrust = false end
	if input.keys.T then electrics.values['cust_throttle'] = math.max(0,electrics.values['cust_throttle']-0.04) end
	if input.keys.Y then electrics.values['cust_throttle'] = math.min(100,electrics.values['cust_throttle']+0.04) end
		
	if M.provide_thrust and v.data.engine then
			obj:applyForce(pr_n_2, pr_n_0, 80+thrustLevel*electrics.values['cust_throttle']*0.01)
			obj:applyForce(pr_n_3, pr_n_1, 80+thrustLevel*electrics.values['cust_throttle']*0.01)
	end
	
	if input.keys.E then
		if not E_pressed then M.provide_thrust = not M.provide_thrust E_pressed=true end
	else
		E_pressed=false
	end

end

local function updateGFX(dt)
	--update()
end

local function init()
	for k, node in pairs (v.data.nodes) do
		if node.name == "propArm0" then pr_n_0=k  end
		if node.name == "propArm1" then pr_n_1=k  end
		if node.name == "propArm2" then pr_n_2=k  end
		if node.name == "propArm3" then pr_n_3=k  end
	end
	
	M.provide_thrust = true
	electrics.values['cust_throttle'] = 0
	
	
	st10electrics.set("engine",getEngineElectric())
	thrusters.update = update
end

local function reset()
	init()
end

-- public interface
M.reset       = reset
M.init		  = init
M.update 	  = update
M.updateGFX   = updateGFX

return M